Skip to main content
GET
/
orgs
/
{org_id}
/
records
/
{record_id}
/
comments
List record comments
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "record_id": "<string>",
    "comment": "<string>",
    "attachments": [
      {
        "id": "<string>",
        "file_path": "<string>",
        "file_filename": "document.pdf",
        "file_size": 1024,
        "file_mimetype": "application/pdf",
        "file_url": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "actor": {
      "id": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com",
      "avatar": "<string>",
      "seen_at": "2023-11-07T05:31:56Z"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

record_id
string
required

Record ID

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
record_id
string
required
comment
string | null
required
attachments
object[]
required

Files attached to the comment

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
actor
object

User who posted the comment